%global srcname tripleo_ipsec
%global rolename tripleo-ipsec

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           ansible-%{rolename}
Version:        9.1.0
Release:        2%{?dist}
Summary:        Ansible role for setting up IPSEC tunnels for TripleO

Group:          System Environment/Base
License:        GPLv3+
URL:            https://git.openstack.org/cgit/openstack/tripleo-ipsec
Source0:        https://tarballs.openstack.org/%{rolename}/%{rolename}-%{version}.tar.gz

#patches_base=ffe104c743ea983fb268cf7ac8e868cc24b91475
Patch0001: 0001-Replace-git.openstack.org-URLs-with-opendev.org-URLs.patch
Patch0002: 0002-Update-linting-jobs.patch

# patches_ignore=DROP-IN-RPM
BuildArch:      noarch
BuildRequires:  git
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python-d2to1
BuildRequires:  python2-pbr

Requires: ansible

%description

Ansible role to configure IPSEC tunnels for TripleO

%prep
%autosetup -n %{rolename}-%{upstream_version} -S git


%build
%py2_build


%install
export PBR_VERSION=%{version}
export SKIP_PIP_INSTALL=1
%py2_install


%files
%doc README*
%license LICENSE
%{python2_sitelib}/%{srcname}-%{version}-py%{python2_version}.egg-info
%{_datadir}/ansible/roles/


%changelog
* Tue May 21 2019 Thierry Vignaud <tvignaud@redhat.com> 9.1.0-2
- Update linting jobs
- Replace git.openstack.org URLs with opendev.org URLs

* Mon Mar 18 2019 Steve Linabery <slinaber@redhat.com> 9.1.0-1
- Update to 9.1.0
